/Users/bernard/b20/bsoft/include/rwPDB.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwPDB.h - Header file for reading and writing PDB coordinate files.

SYNOPSIS

#include 'rwmolecule.h'

  Functions
int readPDB (Bstring &filename, Bmolgroup *molgroup)
Reads a PDB format coordinate file.
int writePDB (Bstring &filename, Bmolgroup *molgroup)
Writes a PDB format coordinate file.

Detailed Description

Header file for reading and writing PDB coordinate files.

Author:
    Bernard Heymann

Date:
    Created: 19980822

    Modified: 20000729 Format: Protein data bank atomic coordinate file format

Definition in file rwPDB.h.

Function Documentation

  int readPDB (Bstring & filename, Bmolgroup * molgroup)

Reads a PDB format coordinate file.

Parameters:
    &filename coordinate file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    PDB fixed format:
    01234567890123456789012345678901234567890123456789012345678901234567890
    ATOM      1  N   ASP     1     -45.145   1.941 -34.322  1.00  0.00
    ATOM      2  OD2 ASP     1     -44.830   3.862 -30.017  1.00  0.00
    ATOM      3  OD1 ASP     1     -45.547   1.817 -29.798  1.00  0.00

Definition at line 31 of file rwPDB.cpp.

  int writePDB (Bstring & filename, Bmolgroup * molgroup)

Writes a PDB format coordinate file.

Parameters:
    &filename coordinate file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

    PDB fixed format:
    01234567890123456789012345678901234567890123456789012345678901234567890
    ATOM      1  N   ASP     1     -45.145   1.941 -34.322  1.00  0.00
    ATOM      2  OD2 ASP     1     -44.830   3.862 -30.017  1.00  0.00
    ATOM      3  OD1 ASP     1     -45.547   1.817 -29.798  1.00  0.00

Definition at line 330 of file rwPDB.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.